Bug 82473 - [GTK] Tools/Scripts/run-gtk-tests should not force you to use the WebKit jhbuild
Summary: [GTK] Tools/Scripts/run-gtk-tests should not force you to use the WebKit jhbuild
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2012-03-28 09:17 PDT by Carlos Garcia Campos
Modified: 2012-04-03 11:55 PDT (History)
2 users (show)

See Also:


Attachments
Patch (5.44 KB, patch)
2012-03-28 09:22 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Patch (1.65 KB, patch)
2012-03-28 11:43 PDT, Martin Robinson
pnormand: review+
mrobinson: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2012-03-28 09:17:12 PDT
We have Tools/gtk/run-with-jhbuild, so that whatever it needs to run with jhbuild can use that script.
Comment 1 Philippe Normand 2012-03-28 09:21:59 PDT
Can it by default use the wrapper unless some --no-jhbuild option is passed?
Comment 2 Carlos Garcia Campos 2012-03-28 09:22:07 PDT
Created attachment 134311 [details]
Patch

This way people not using jhbuild can use run-gtk-tests too, and we don't need a special case for when run-gtk-tests is executed by make check.
Comment 3 Carlos Garcia Campos 2012-03-28 09:23:11 PDT
(In reply to comment #1)
> Can it by default use the wrapper unless some --no-jhbuild option is passed?

I don't think we need another command line option for this
Comment 4 Philippe Normand 2012-03-28 09:26:34 PDT
(In reply to comment #3)
> (In reply to comment #1)
> > Can it by default use the wrapper unless some --no-jhbuild option is passed?
> 
> I don't think we need another command line option for this

This won't work on the bots, I'm afraid.
Comment 5 Carlos Garcia Campos 2012-03-28 09:29:52 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #1)
> > > Can it by default use the wrapper unless some --no-jhbuild option is passed?
> > 
> > I don't think we need another command line option for this
> 
> This won't work on the bots, I'm afraid.

why? I updated the bot config to use run-with-jhbuild
Comment 6 Philippe Normand 2012-03-28 09:32:48 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > (In reply to comment #1)
> > > > Can it by default use the wrapper unless some --no-jhbuild option is passed?
> > > 
> > > I don't think we need another command line option for this
> > 
> > This won't work on the bots, I'm afraid.
> 
> why? I updated the bot config to use run-with-jhbuild

Right, I missed that!
Anyway, we discussed some time ago about being smart and detect if WebKitBuild/Dependencies are there and in that case run in jhbuild by default. Maybe we could start doing that?
Comment 7 Carlos Garcia Campos 2012-03-28 09:36:43 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > (In reply to comment #3)
> > > > (In reply to comment #1)
> > > > > Can it by default use the wrapper unless some --no-jhbuild option is passed?
> > > > 
> > > > I don't think we need another command line option for this
> > > 
> > > This won't work on the bots, I'm afraid.
> > 
> > why? I updated the bot config to use run-with-jhbuild
> 
> Right, I missed that!
> Anyway, we discussed some time ago about being smart and detect if WebKitBuild/Dependencies are there and in that case run in jhbuild by default. Maybe we could start doing that?

why running every command inside run-gtk-test with jhbuild when you can tun the whole script?
Comment 8 Carlos Garcia Campos 2012-03-28 09:37:54 PDT
Btw, I think we should so the same for build-webkit
Comment 9 Martin Robinson 2012-03-28 09:58:19 PDT
Comment on attachment 134311 [details]
Patch

I don't really understand this patch. Do you mind explaining it a bit better? It seems like it will make it more inconvenient for people using the WebKit jhbuild. The script already has the logic to avoid running jhbuild when it isn't there. What does it buy us?
Comment 10 Martin Robinson 2012-03-28 10:50:24 PDT
After talking with Carlos, it seems any solution that doesn't force him to use the WebKit jhbuild is okay. Instead of making it more inconvenient to use the WebKit jhbuild, it should just be possible to avoid using it. I think the tools can be smart enough to make the decision automatically. I'll upload a new patch shortly.
Comment 11 Martin Robinson 2012-03-28 11:43:03 PDT
Created attachment 134355 [details]
Patch
Comment 12 Carlos Garcia Campos 2012-03-28 23:33:13 PDT
Comment on attachment 134355 [details]
Patch

Yeah, I think this is enough for me, thanks!
Comment 13 Philippe Normand 2012-03-30 01:01:36 PDT
Comment on attachment 134355 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=134355&action=review

Can you fix the floowing little nit before landing?

> Tools/ChangeLog:8
> +        Only use jhbuild if WebKitBuild/Dependencies (if update-

This seems to be truncated
Comment 14 Martin Robinson 2012-04-03 11:55:06 PDT
Committed r113066: <http://trac.webkit.org/changeset/113066>